Status: Pending SIT Start date: 13 July 2022

Priority: Normal Due date:  

Assignee: See Liang Lim % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Currently someone developed company website at wordpress.com, access to website as following

Username: mobilityweb2022

Password: mobilitySME2022

Email: silverlake.mobility.web@gmail.com

issue

-------

website currently development is at the wordpress.com, their own hosting and domain name and unable to deploy to other app

server.

expected

-------

Need to find a way to export it out to html or php code, and able to run http/php server.

Testing on http server, we could use showroom-nx project, after serve the project, copy all the exported html from wordpress put it

into assets/wordpress folder, direct access into index.html from the assets/wordpress

e.g

http://localhost:4200/assets/wordpress

History

#1 - 20 July 2022 10:40 AM - yonqi yonqi

Export html from wordpress:

1. login to wordpress.com

2. go to My Home > Visit Site to preview page

3. right click on the page you want to export, go to Inspect > Elements to view html

4. remove some unnecessary code - right click on the element code you want to select > Delete element

header: keep all the style elements and css stylesheet link

body: keep <div class="wp-site-blocks"> for main content, others can be removed

5. copy the html code and paste it into the project and run http server

6. all style elements can be put into css file

#2 - 20 July 2022 11:13 AM - yonqi yonqi

- Status changed from New to Resolved

- Assignee changed from yonqi yonqi to Hoo Dextor
#3 - 21 July 2022 11:42 AM - yonqi yonqi

wordpress folder has been removed from the showroom project

#4 - 03 August 2022 11:01 AM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.4 SIT
